function [L] = lambda3d(theta,phi,l1)

% This function generetas relative phases of antenna elements
% The preliminary antenna geometry is located in the plane
% The input variables describe the direction of the incoming signals

alpha2R = 0;                %alphaiR is the relative angle between element i and the reference in the theta plane
beta2R = 0;                 % betaiR is the relative angle between element i and the reference in the phi plane
alpha3R = 0.55*pi;           % Theta is the angle between the wave front and the x-axis in the xy plane     
beta3R = 0;                 %  Phi is the angle between the xy component of the wavewfront and entire wavefront vector
alpha4R = 1.05*pi;
beta4R = 0;
alpha5R = 1.55*pi;
beta5R = 0;
alpha6R=1.8*pi;
beta6R=0;


Xao = 0.1;               % The X and Y are distaces between the given element and the reference element
Xbo = 0.1;
Yco = 0.1;
Ydo = 0.1;
Yeo =0.1;
L(1) = 2*pi*cos(theta-alpha2R)*cos(phi-beta2R)*Xao/l1;
L(2) = 2*pi*cos(theta-alpha3R)*cos(phi-beta3R)*Xbo/l1;
L(3) = 2*pi*cos(theta-alpha4R)*cos(phi-beta4R)*Yco/l1;
L(4) = 2*pi*cos(theta-alpha5R)*cos(phi-beta5R)*Ydo/l1;
L(5) =2*pi*cos(theta-alpha6R)*cos(phi-beta6R)*Yeo/l1;
end
