function Y = sample(X,Fs,Fr,l)
%Function emulating sampler 


dim=size(X);
%X = X/(2^15);
currentprecision = digits;

digits(16)

Y = zeros(dim(1),Fs*l);
for m=1:1:dim(1)
    for n=1:1:(Fs*l)
        Y(m,n) = (X(m,n*ceil(Fr/Fs)));
        if isnan(Y(m,n))
            Y(m,n)=0;
        end
    end
end

digits(currentprecision);

