
lineStyles={'b-','b--','b:','b-.','k-','k--','k:','k-.','r-','r--','r:','r-.','g-','g--','g:','g-.','c-','c--','c:','c-.','m-'};

AT=1:30;

CorrMul=3*AT+AT.^2;
CorrAdd=3*(AT-1)+(AT-1).^2+3;

figure(1)
hold off;
plot(CorrMul,lineStyles{1})
legendMul{1}='corr';

figure(2)
hold off;
plot(CorrAdd,lineStyles{1})
legendAdd{1}='corr';

for k=1:20
    
    WeightedMul=k.*AT+k;
    figure(1)
    hold on;
    plot(WeightedMul,lineStyles{k+1})
    legendMul{k+1}=sprintf('k=%d',k);
    
    WeightedAdd=2*k+AT*k;
    figure(2)
    hold on;
    plot(WeightedAdd,lineStyles{k+1})
    legendAdd{k+1}=sprintf('k=%d',k);
end

figure(1)
legend(legendMul)
xlabel('A*T')
title('number of multiplications per individual in cost function')


figure(2)
legend(legendAdd)
xlabel('A*T')
title('number of additions per individual in cost function')

