--File: Breeding_ent.vhd (vhdl)
--Module used for breeding in genetic algorithm
--(c) Kongsberg Defence & Aerospace 2015
--$Id: Breeding_ent.vhd 14777 2015-03-24 10:58:36Z mathiab $
--Author: Mathias By
--
--Assumptions: See architecture
--Description: See architecture

library ieee;
use ieee.numeric_std.all;
use ieee.std_logic_1164.all;

library GENETICALGLIB;
use GENETICALGLIB.GeneticAlgPrivate.all;

entity Breeding is
   port (
      Rst_n          : in std_logic; -- Reset
      Clk            : in std_logic;  -- Clock
      NewPopIn       : in std_logic;
      ParrentA       : in t_1xAT10;
      ParrentB       : in t_1xAT10;
      RandomBits     : in std_logic_vector(179 downto 0);
      IndividualOut  : out t_1xAT10;
      NewPopOut      : out std_logic    
   );
end Breeding;
