--File: ComplexMul_ent.vhd (vhdl)
--16 bit by 10 bit complex multiplication
--(c) Kongsberg Defence & Aerospace 2015
--$Id: ComplexMul16b10b_ent.vhd 14777 2015-03-24 10:58:36Z mathiab $
--Author: Mathias By
--
--Assumptions: See architecture
--Description: See architecture

library ieee;
use ieee.numeric_std.all;
use ieee.std_logic_1164.all;

library GENETICALGLIB;
use GENETICALGLIB.GeneticAlgPrivate.all;

entity ComplexMul16b10b is
   port (
      Rst_n : in std_logic; -- Reset
      Clk   : in std_logic;  -- Clock
      A     : in t_Complex16;
      B     : in t_Complex10;
      Res   : out t_Complex16
   );
end ComplexMul16b10b;
