--File: ComplexVectorHermitianMul_ent.vhd (vhdl)
--Fast 16 by 10 bit complex vector mulitplier
--(c) Kongsberg Defence & Aerospace 2015
--$Id: ComplexVectorMul1610_ent.vhd 14777 2015-03-24 10:58:36Z mathiab $
--Author: Mathias By
--
--Assumptions: See architecture
--Description: See architecture

library ieee;
use ieee.numeric_std.all;
use ieee.std_logic_1164.all;

library GENETICALGLIB;
use GENETICALGLIB.GeneticAlgPrivate.all;

entity ComplexVectorMul1610 is
   port (
      Rst_n : in std_logic; -- Reset
      Clk   : in std_logic; -- Clock
      Hermit16 : in t_1xAT16;
      Vector10 : in t_1xAT10;
      Result   : out t_Complex20;
      DataValid   : in std_logic;
      ResultValid : out std_logic
   );
end ComplexVectorMul1610;
