--File: DelayDataBuffer_ent.vhd (vhdl)
--specialised buffer that controls the data flow of the genetic algorithm
--(c) Kongsberg Defence & Aerospace 2015
--$Id: DelayDataBuffer_ent.vhd 14777 2015-03-24 10:58:36Z mathiab $
--Author: Mathias By
--
--Assumptions: See architecture
--Description: See architecture

library ieee;
use ieee.numeric_std.all;
use ieee.std_logic_1164.all;

library GENETICALGLIB;
use GENETICALGLIB.GeneticAlgPrivate.all;

entity DelayDataBuffer is
   port (
      Rst_n       : in std_logic; -- Reset
      Clk         : in std_logic;  -- Clock
      DataIn      : in t_1xAT10;
      DataInValid : in std_logic;
      NewPopOut   : out std_logic;
      DataOut     : out t_1xAT10Array;
      CurrWeights : out t_1xAT10       
   );
end DelayDataBuffer;
