function float = bin2float(b)

s= b(1);
e=bin2dec(b(2:9))-127;
f=bin2dec(['1' b(10:end)])/2^23;
if e==-127   %special for e=00(h)
    if bin2dec(b(10:end))==0
        float=0;
    else
        if s=='1'
            float= -(f-1)*2^-126;
        else
            float= +(f-1)*2^-126;
        end
    end
elseif e==128 %special for e=ff(h)
    if s==1 && bin2dec(b(10:end))==0
        float=-inf;
    elseif s==0 && bin2dec(b(10:end))==0
        float=inf;
    else
        float=NaN;
    end
else %normal e
    if s=='1'
        float= -f*2^e;
    else
        float= f*2^e;
    end
end
end