--File: ComplexMatrixVecMul1610_ent.vhd (vhdl)
--Hermitian(Vec)*Matrix*Vec operation
--(c) Kongsberg Defence & Aerospace 2015
--$Id: ComplexHVecMatrixVecMul1610_ent.vhd 14777 2015-03-24 10:58:36Z mathiab $
--Author: Mathias By
--
--Assumptions: See architecture
--Description: See architecture

library ieee;
use ieee.numeric_std.all;
use ieee.std_logic_1164.all;

library GENETICALGLIB;
use GENETICALGLIB.GeneticAlgPrivate.all;

entity ComplexHVecMatrixVecMul1610 is
   port (
      Rst_n       : in std_logic; -- Reset
      Clk         : in std_logic;  -- Clock
      InputMatrix : in t_ATxAT16;
      InputVector : in t_1xAT10;
      DataValid   : in std_logic;
      Result      : out t_Complex20;
      ResultValid : out std_logic;
      Ready       : out std_logic
   );
end ComplexHVecMatrixVecMul1610;
