--File: ComplexVectorMul1610Slow_ent.vhd (vhdl)
--Slow 16 bit by 10 bit complex vector multiplier 
--(c) Kongsberg Defence & Aerospace 2015
--$Id: ComplexVectorMul1610Slow_ent.vhd 14777 2015-03-24 10:58:36Z mathiab $
--Author: Mathias By
--
--Assumptions: See architecture
--Description: See architecture

library ieee;
use ieee.numeric_std.all;
use ieee.std_logic_1164.all;

library GENETICALGLIB;
use GENETICALGLIB.GeneticAlgPrivate.all;

entity ComplexVectorMul1610Slow is
   port (
      Rst_n : in std_logic; -- Reset
      Clk   : in std_logic;  -- Clock
      Vector16 : in t_1xAT16;
      Vector10 : in t_1xAT10;
      Result   : out t_Complex20;
      DataStart   : in std_logic;
      ResultValid : out std_logic
   );
end ComplexVectorMul1610Slow;
