--File: GeneticAlg_ent.vhd (vhdl)
--Top file of the gentic algorithm module
--(c) Kongsberg Defence & Aerospace 2015
--$Id: GeneticAlg_ent.vhd 14777 2015-03-24 10:58:36Z mathiab $
--Author: mathiab not found in /home/mathiab/misc/common/userName
--
--Assumptions: See architecture
--Description: See architecture

library ieee;
use ieee.numeric_std.all;
use ieee.std_logic_1164.all;

library GENETICALGLIB;
use GENETICALGLIB.GeneticAlgPrivate.all;

entity GeneticAlg is
   port (
      Rst_n             : in std_logic; -- Reset;
      Clk               : in std_logic;  -- Clock;
      Correlation       : in t_ATxAT16;
      AutoCorrelation   : in t_1xAT16;
      P1                : in t_Complex20;
      MutationRate      : in t_IntegerArray(0 to 3);
      BreedRandomBits   : in std_logic_vector(179 downto 0); 
      MutRandomBits     : in std_logic_vector (1259 downto 0);
      OutputWeights     : out t_1xAT10
      );
end GeneticAlg;
