--File: GeneticWrap_ent.vhd (vhdl)
--wrapper for the GeneticAlg module used for PAR
--(c) Kongsberg Defence & Aerospace 2015
--$Id: GeneticWrap_ent.vhd 14777 2015-03-24 10:58:36Z mathiab $
--Author: Mathias By
--
--Assumptions: See architecture
--Description: See architecture

library ieee;
use ieee.numeric_std.all;
use ieee.std_logic_1164.all;

library GENETICALGLIB;
use GENETICALGLIB.GeneticAlgPrivate.all;

entity GeneticWrap is
   port (
      Rst_n             : in std_logic; -- Reset
      Clk               : in std_logic;  -- Clock
      MutationRate      : in t_IntegerArray(0 to 3);
      OutWeightBit      : out std_logic
   );
end GeneticWrap;
