--File: Mutation_ent.vhd (vhdl)
--mutates one individual with latency of 2 clock cycles
--(c) Kongsberg Defence & Aerospace 2015
--$Id: Mutation_ent.vhd 14777 2015-03-24 10:58:36Z mathiab $
--Author: Mathias By
--
--Assumptions: See architecture
--Description: See architecture

library ieee;
use ieee.numeric_std.all;
use ieee.std_logic_1164.all;

library GENETICALGLIB;
use GENETICALGLIB.GeneticAlgPrivate.all;

entity Mutation is
   port (
      Rst_n          : in std_logic; -- Reset
      Clk            : in std_logic;  -- Clock
      WeightsIn      : in t_1xAT10;
      RandomBits     : in std_logic_vector(1259 downto 0);
      MutationRate   : in t_integerArray(0 to 3);
      NewPopIn       : in std_logic;
      WeightsOut     : out t_1xAT10;
      NewPopOut      : out std_logic
   );
end Mutation;
